red <- paste("<font color=\"red\">")
require(ggplot2)
require(scales)

shinyServer(function(input, output) {

    data <- reactive({ 
        source("clipboard") 
        A
    })             
 
   output$text1 <- renderText({
        x <- data()$x
        if(length(x)<=100) return(c("<h5>",x,"</h5><hr>"))
        c("<h5>Raw Data:<p>",x[1:50],"<br>...<br>",x[(length(x)-49):length(x)],"</h5><hr>")
        
   })   
   output$text2 <- renderText({
          if(is.na(data()$catVarOrder)) 
              x <- data()$x
          else    
              x <- factor(data()$x,levels=data()$catVarOrder)
          tx <- table(x)
          ptx <- round(tx/sum(tx)*100,1)
          n <- length(tx)
          nam <- names(tx)
          a <- "<table border=\"1\">"
          k<-2
          if(input$perc=="Yes") k<-3
          a[2] <- paste("<tr><th colspan=",k," style=\"text-align:center\">",data()$xname,"</th></tr>")
          a[3] <- "<tr><th>&nbsp; Categories</th><th>Counts</th>"
          if(input$perc=="Yes") a[3] <- paste(a[3],"<th>Percentages</th>")
          a[3] <- paste(a[3],"</tr>")
          for(i in 1:n) {
              a[i+3] <- paste("<tr><th>",nam[i],"</th><th>&nbsp;",tx[i],"</th>")
              if(input$perc=="Yes") a[i+3] <- paste(a[i+3],"<th>",ptx[i],"% </th>",sep="")
              a[i+3] <- paste(a[i+3],"</tr>")
              
          }
          c(a,"</table>")
   })       
   
   output$plot <- renderPlot({
          if(is.na(data()$catVarOrder))
                dta <- data.frame(x=factor(data()$x))
          else      
                dta <- data.frame(x=factor(data()$x,levels=data()$catVarOrder))
          plt <- ggplot(data=dta,aes(x=x),fill=x)
          if(input$perc1=="No")
             plt <- plt+geom_bar(stat="bin", width=0.6, fill="lightblue",colour="darkblue")
          else  
             plt <- plt+
                geom_bar(aes(y = (..count..)/sum(..count..)), width=0.6, fill="lightgreen",colour="darkgreen")+
                scale_y_continuous(labels=percent)

          plt <- plt+xlab(data()$xname)+ylab("")
        
          if(input$doPrint=="pdf") {
                pdf("c:/R/output/graph.pdf")
                print(plt)
                dev.off()
          }          
          if(input$doPrint=="png") {
                png("c:/R/output/graph.png")
                print(plt)
                dev.off()
          }          
          plt
   })

})

