shinyUI(fluidPage(
  tags$head(
      tags$style(HTML("
          table, th, td {
              border: 2px solid black;
              text-align:right;
          }
          
          th, td {
              padding: 10px;
          }    
       "))
  ),        
          
  titlePanel("Exporatory Data Analysis - One Categorical Variable"),

  sidebarLayout(
      sidebarPanel(
        conditionalPanel( condition = "input.mytabs == 'Table'",
              selectInput("perc","With Percentages?",
                choices=c("Yes","No"),selected="No")
         ),
         conditionalPanel( condition = "input.mytabs == 'Graph'",
              selectInput("perc1","Based on Percentages?",
                  choices=c("Yes","No"),selected="No"),
              selectInput("doPrint","Print Graph?",
                  choices=c("No","pdf","png"),selected="No")    
         ),
         width=3
        ),
  mainPanel(
        tabsetPanel(
          tabPanel("Table",
              uiOutput("text1"),
              uiOutput("text2")
          ),
          tabPanel("Graph",
              plotOutput("plot")
          ),
          id="mytabs")
        )
  )  
))

